## compiz-plugins-extra 0.9.4

=== CMakeLists.txt ===
project (compiz-plugins-extra)

cmake_minimum_required (VERSION 2.4)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 4)
set (COMPIZ_VERSION_MACRO 0)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})

set (COMPIZ_PLUGIN_INSTALL_TYPE "package")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz-plugins-extra)

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}")

compiz_print_configure_header ("Compiz Plugins Extra")
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Plugins Extra")
compiz_add_git_dist ()
compiz_add_uninstall ()

=== animationaddon/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (CompizPlugin)
include (FindOpenGL)

if (OPENGL_GLU_FOUND)
    compiz_plugin (animationaddon PLUGINDEPS animation LIBRARIES ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR})
endif (OPENGL_GLU_FOUND)

=== gears/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (gears PLUGINDEPS composite opengl cube)

=== grid/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(grid PLUGINDEPS composite opengl)

=== notification/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (notification PKGDEPS libnotify gtk+-2.0)

## compiz-plugins-extra 0.8.8

=== debian/changelog ===
compiz-plugins-extra (0.8.8-2~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:15:02 -0500

compiz-plugins-extra (0.8.8-2) unstable; urgency=low

  * [debian/patches] add 001_FTBFS_libnotify_0.7.patch to build with
                     libnotify-0.7.x

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Tue, 27 Nov 2012 08:03:35 +0200

compiz-plugins-extra (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork
  * [debian/compat] Bump to Debhelper v7
  * [debian/control]
    - rename source package to match upstream name: compiz-plugins-extra
    - bump Standards-Version to 3.9.3, Build-Dep debhelper to (>= 7.0.50~)
    - bump B-D on compiz-dev, compiz-fusion-bcop, libdecoration and
      compiz-fusion-plugins-main to 0.8.8
    - B-D on dh-autoreconf, drop automake1.9 libtool autotools-dev
    - B-D on libmateconf-dev
    - B-D on hardening-wrapper, to enable it in debian/rules (see below)
    - change the maintainer's email address
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/rules] use dh style, only use necessary overrides
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Fri, 12 Oct 2012 05:43:21 +0200

compiz-fusion-plugins-extra (0.8.4-2) unstable; urgency=low

  * Add Vcs-* fields.
  * Tighten dependencies on compiz-core:
     - Add ${compizcore:Depends} to Depends.
     - Use dpkg-query to extract the name of the package provided by
       compiz-core (e.g. compiz-core-abiversion-20090619), and use it in
       dh_gencontrol.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 24 Mar 2010 00:45:05 +0100

compiz-fusion-plugins-extra (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * Update Build-Depends against compiz-dev to >= 0.8.4 for ABI bump.

 -- Sean Finney <seanius@debian.org>  Thu, 11 Feb 2010 21:58:40 +0100

compiz-fusion-plugins-extra (0.8.2-3) unstable; urgency=low

  * bump build-deps again; there was an unintended (and reverted) ABI
    break.

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 19:38:15 +0200

compiz-fusion-plugins-extra (0.8.2-2) unstable; urgency=low

  * update versioned build-deps for compiz packages to >= 0.8.2 
    (Closes: #522989)

 -- Sean Finney <seanius@debian.org>  Sat, 11 Apr 2009 16:05:06 +0200

compiz-fusion-plugins-extra (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Add gbp.conf for use with git-buildpackage.
  * Add build-dep on libglu1-mesa-dev

 -- Sean Finney <seanius@debian.org>  Tue, 07 Apr 2009 08:56:36 +0200

compiz-fusion-plugins-extra (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Sean Finney <seanius@debian.org>  Tue, 03 Jun 2008 00:57:11 +0200

compiz-fusion-plugins-extra (0.7.4-1) unstable; urgency=low

  * New upstream release.
  * Update build-deps on bcop, compiz-dev, and compiz-fusion-plugins-main
    to >= 0.7.3.

 -- Sean Finney <seanius@debian.org>  Mon, 19 May 2008 20:10:44 +0200

compiz-fusion-plugins-extra (0.6.1-1) unstable; urgency=low

  * New upstream release on the 0.6.0 branch.

  [Emilio Scalise]
  * Added missing build deps: librsvg2-dev, libcairo2-dev, libsm-dev,
    libdbus-1-dev, libjpeg62-dev, libdecoration0-dev (closes: #458159).

 -- Sean Finney <seanius@debian.org>  Mon, 31 Dec 2007 20:03:44 +0100

compiz-fusion-plugins-extra (0.6.0-3) unstable; urgency=low

  * Update copyright information to be more specific, at the request of
    ftp-master.

 -- Sean Finney <seanius@debian.org>  Sun, 25 Nov 2007 18:26:35 +0100

compiz-fusion-plugins-extra (0.6.0-2) unstable; urgency=low

  * Remove autofoo generated content and create/remove it as part of the
    standard build process instead.
  * FTBFS fixes:  add Build-Deps on automake1.9, compiz-fusion-bcop,
    compiz-fusion-plugins-main (yes, this is needed), libmateconf2-dev,
    libglib2.0-dev, libtool, libxml2-dev, libxslt1-dev.

 -- Sean Finney <seanius@debian.org>  Sat, 24 Nov 2007 13:10:17 +0100

compiz-fusion-plugins-extra (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #431749).

 -- Sean Finney <seanius@debian.org>  Sat, 10 Nov 2007 10:20:56 +0100

=== debian/control ===
Source: compiz-plugins-extra
Priority: extra
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: dh-autoreconf, debhelper (>= 7.0.50~), intltool,
 compiz-dev (>= 0.8.8), compiz-fusion-bcop (>= 0.8.8),
 compiz-fusion-plugins-main (>= 0.8.8), libdecoration0-dev (>= 0.8.8),
 libmateconf-dev,
 libglib2.0-dev, libglu1-mesa-dev, libxml2-dev, libxslt1-dev, pkg-config, xsltproc, 
 librsvg2-dev, libcairo2-dev, libsm-dev, libdbus-1-dev, libjpeg62-dev,
 hardening-wrapper,
Standards-Version: 3.9.3
Section: x11

Package: compiz-fusion-plugins-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${compizcore:Depends}
Description: Compiz Fusion plugins - extra collection
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides plugins which are not as well tested and supported
 as the "main" plugins from the compiz-fusion project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

PACKAGE := $(shell dh_listpackages)
ROOTDIR := $(CURDIR)
DEBDIR  := $(CURDIR)/debian
PKGDIR  := $(DEBDIR)/$(PACKAGE)

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)

# autoconf cruft
#AUTOFOO_DELETE:=aclocal.m4 config.guess config.h.in config.sub configure \
#                depcomp install-sh intltool-extract.in intltool-merge.in \
#                intltool-update.in ltmain.sh missing mkinstalldirs


%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	# Prevent from accidental breakage, early in the build process:
	if [ -z "$(COMPIZCORE_DEPENDS)" ]; then echo 'Broken compiz-core ABI detection'; exit 1; fi
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=\$${prefix}/share --disable-static

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	# clean up extra automake cruft
	find . -type f -name Makefile.in -exec rm -f {} ';'
#	rm -f $(AUTOFOO_DELETE)
	dh_clean 


override_dh_install:
	rm -rf $(PKGDIR)/usr/lib/pkgconfig
	rm -rf $(PKGDIR)/usr/include
	# clean up some upstream cruft
	find $(PKGDIR) -type f -name '*.la' -exec rm -f {} ';'

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

## compiz-plugins-extra 0.8.14

=== debian/changelog ===
compiz-plugins-extra (2:0.8.14-1) unstable; urgency=medium

  * Split back packaging according to compiz-reloaded new upstream, and bump
    epoch accordingly
  * Switch to hypra maintenance team
  * Restore non-reloaded package names
  * Keep compatibility with packages in Debian
  * Add libpango1.0-dev build-dep.
  * Update copyright file
  * Generate dbgsym packages

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Oct 2018 21:11:54 +0200

compiz-plugins-extra (1:0.9.13.1+18.04.20180302-2) unstable; urgency=medium

  * Last compiz-from-launchpad upload.
 
 -- Samuel Thibault <sthibault@debian.org>  Sat, 20 Oct 2018 15:14:00 +0200

compiz-plugins-extra (1:0.8.4-4ubuntu1) maverick; urgency=low

  * Bumped epoch
 
 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Jun 2010 10:12:18 +1000

compiz-plugins-extra (0.8.14-0~stretch1) stretch; urgency=low

  * New upstream release.
    - rename source package to reloaded version
  * Add override dh_strip to no create automatic dbgsym.
  * Remove Gtk2 requirement, not needed.
  * Bump standards to version 3.9.8.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sun, 25 Jun 2017 14:29:14 +0200

compiz-fusion-plugins-extra (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Drop libgconf-dev and add libgtk2.0-dev on build-depends.

 -- Jof Thibaut <compiz@tuxfamily.org>  Thu, 03 Mar 2016 00:02:17 +0100

=== debian/control ===
Source: compiz-plugins-extra
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: dh-autoreconf,
               compiz-dev (>= 2:0.8.14-0~),
               compiz-bcop (>= 2:0.8.14-0~),
               compiz-plugins-main (>= 2:0.8.14-0~),
               debhelper (>= 9),
               intltool,
               libdecoration0-dev (>= 2:0.8.14-0~),
               libpango1.0-dev,
               libglu1-mesa-dev,
               libjpeg62-turbo-dev,
               libnotify-dev,
               librsvg2-dev,
               libsm-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/compiz-plugins-extra
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-plugins-extra.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-plugins-extra

Package: compiz-plugins-extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends},
         compiz-plugins-main (>= 2:0.8.14-0~)
Conflicts: compiz-dev (<< 2:0.8.14-1), compiz-plugins-default (<< 2:0.8.14-1), compiz-plugins (<< 2:0.8.14-1)
Replaces: compiz-dev (<< 2:0.8.14-1), compiz-plugins-default (<< 2:0.8.14-1), compiz-plugins (<< 2:0.8.14-1)
Description: Compiz Reloaded plugins - extra collection
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides plugins which are not as well tested and supported
 as the "main" plugins from the compiz project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf

# Detect which package is provided by compiz-core:
COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)
PACKAGE := compiz-plugins-extra

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- --disable-static --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian -type f -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_gencontrol:
	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/compiz-plugins-extra-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz-plugins-extra/tags .*/release-?(\d\S*)\.tar\.gz

## compiz-plugins-extra 0.8.16

=== debian/changelog ===
compiz-plugins-extra (2:0.8.16-2~bpo9+1) stretch-backports; urgency=medium

  * Port to stretch.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 12 Aug 2019 15:01:09 +0200

compiz-plugins-extra (2:0.8.16-2) unstable; urgency=medium

  * Upload to unstable.
  * Move .pc files to a multiarch location.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 02:36:49 +0100

compiz-plugins-extra (2:0.8.16-1) experimental; urgency=medium

  * New upstream release.
    - control: Bump compiz dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Nov 2018 13:47:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Hypra Team <bugs@hypra.fr>
 Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
 Build-Depends: dh-autoreconf,
-               compiz-dev (>= 2:0.8.14-0~),
+               compiz-dev (>= 2:0.8.16-0~),
                compiz-bcop (>= 2:0.8.14-0~),
                compiz-plugins-main (>= 2:0.8.14-0~),
                debhelper (>= 9),

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/compiz-plugins-extra-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz-plugins-extra/tags .*/v?(\d\S*)\.tar\.gz

## compiz-plugins-extra 0.8.18

=== debian/changelog ===
compiz-plugins-extra (2:0.8.18-5) unstable; urgency=medium

  * watch: Use api to get tags.
  * copyright: Update.
  * Update standards version to 4.6.2, no changes needed.
  * control: Replace libjpeg62-turbo-dev build-dep with libjpeg-dev
    (Closes: Bug#1116474)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 27 Sep 2025 22:08:19 +0200

compiz-plugins-extra (2:0.8.18-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * patches/implicit-function-declaration,{-2}: Fix build with
    -Werror=implicit-function-declaration (Closes: Bug#1073301)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jun 2024 17:08:47 +0200

compiz-plugins-extra (2:0.8.18-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Fix using Breaks+Replaces rather than Conflics+Replaces.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on compiz-bcop,
      compiz-plugins-main and libdecoration0-dev.
    + compiz-plugins-extra: Drop versioned constraint on compiz-plugins-main in
      Depends.
    + compiz-plugins-extra: Drop versioned constraint on compiz-dev,
      compiz-plugins and compiz-plugins-default in Replaces.
    + compiz-plugins-extra: Drop versioned constraint on compiz-dev,
      compiz-plugins and compiz-plugins-default in Breaks.
  * Strip unusual field spacing from debian/control.

  [ Samuel Thibault ]
  * control: Remove .git from end of gitlab URL in Homepage field

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:32:50 +0200

compiz-plugins-extra (2:0.8.18-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update upstream URL
  * control: Bump Standards-Version to 4.6.0 (no change)
  * watch: Update URL.
  * control: Set Rules-Requires-Root to no.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Add patch ac-path-pkgconfig.patch: Use cross-build compatible macro for
    finding pkg-config.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 08 Jan 2022 17:49:45 +0100

compiz-plugins-extra (2:0.8.18-1) unstable; urgency=medium

  * New upstream release.
    - control: Replace old version of compiz-plugins-experimental due to
    migration of workspacenames plugin.
    - control: Build-dep on libcairo2-dev libcanberra-dev libxrender-dev
    libxsettings-client-dev.
    - control: Bump compiz dependency to 0.8.18 to get latest
    compiz-core-abiversion.
  * watch: Generalize pattern.
  * control: Remove Cyril from uploaders.
  * watch: switch to gitlab

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Apr 2020 01:28:29 +0200

=== debian/control ===
Source: compiz-plugins-extra
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: compiz-dev (>= 2:0.8.18~),
               compiz-bcop,
               compiz-plugins-main,
               debhelper-compat (= 13),
               intltool,
               libcairo2-dev,
               libcanberra-dev,
               libdecoration0-dev,
               libpango1.0-dev,
               libglu1-mesa-dev,
               libjpeg-dev,
               libnotify-dev,
               librsvg2-dev,
               libsm-dev,
               libxml2-dev,
               libxrender-dev,
               libxsettings-client-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gitlab.com/compiz/compiz-plugins-extra
Vcs-Git: https://salsa.debian.org/compiz-team/compiz-plugins-extra.git
Vcs-Browser: https://salsa.debian.org/compiz-team/compiz-plugins-extra

Package: compiz-plugins-extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${compizcore:Depends},
         compiz-plugins-main
Breaks: compiz-plugins-experimental (<< 2:0.8.18~)
Replaces: compiz-plugins-experimental (<< 2:0.8.18~)
Description: Compiz Reloaded plugins - extra collection
 Compiz Reloaded is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides plugins which are not as well tested and supported
 as the "main" plugins from the compiz project.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/architecture.mk
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 # Detect which package is provided by compiz-core:
 COMPIZCORE_DEPENDS := $(shell dpkg-query --showformat='$${Provides}\n' -W compiz-core)
@@ -16,6 +18,8 @@
 # remove unneeded .la files
 	find $(CURDIR)/debian -type f -name '*.la' -print0 | xargs -0 rm -f
 	dh_install
+	mkdir debian/compiz-plugins-extra/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/compiz-plugins-extra/usr/lib/pkgconfig debian/compiz-plugins-extra/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vcompizcore:Depends=$(COMPIZCORE_DEPENDS)

=== debian/watch ===
version=4
opts="pagemangle=s!"name":"(v?@ANY_VERSION@)"!<a href="https://gitlab.com/compiz/@PACKAGE@/-/archive/$1/@PACKAGE@-$1.tar.bz2">!g" \
https://gitlab.com/api/v4/projects/compiz%2F@PACKAGE@/repository/tags \
https://gitlab.com/compiz/@PACKAGE@/.*/@PACKAGE@-v?@ANY_VERSION@@ARCHIVE_EXT@

## compiz-plugins-extra 0.9.4

=== debian/changelog ===
compiz-plugins-extra (0.9.4-0ubuntu2) natty; urgency=low

  * debian/control:
    - add missing Conflicts/Replaces on package renaming

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 25 Feb 2011 09:26:55 +0100

compiz-plugins-extra (0.9.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - update and rebuild for latest ABI break + rename
  * Rename source and binaries package (there is no more compiz-fusion)
    and add transitional package
  * debian/patches/01_move_grid_plugin_main.patch:
    - refreshed
  * add debian/compiz-plugins-extra.install

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 24 Feb 2011 17:35:14 +0100

compiz-fusion-plugins-extra (0.9.2.1-0ubuntu3) natty; urgency=low

  * debian/patches/01_move_grid_plugin_main.patch:
    - remove the grid plugin as moved to main now
  * debian/control:
    - update and rebuild for latest ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 27 Jan 2011 13:16:14 +0100

compiz-fusion-plugins-extra (0.9.2.1-0ubuntu2) natty; urgency=low

  * debian/control:
    - update and rebuild for latest ABI break

 -- Travis Watkins <amaranth@ubuntu.com>  Fri, 14 Jan 2011 10:39:17 -0600

compiz-fusion-plugins-extra (0.9.2.1-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #693637).
  * debian/watch: Update to find correct version.
  * debian/control:
   - Wrap depends.
   - Bump Standards-Version to 3.9.1
   - Add build dependencies on, libboost1.42-dev,
     libboost-serialization1.42-dev, and libnotify-dev.
   - Adjust dependency versions for new release.
   - Add homepage field.
   - Add suggests on compizconfig-settings-manager.
   - Add Vcs-Browser field.
  * debian/rules: Move to debhelper 7.
  * Move to Debian source format 3.0 (quilt).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 23 Dec 2010 00:18:24 -0500

compiz-fusion-plugins-extra (0.8.6-0ubuntu1) maverick; urgency=low

  * Update to 0.8.6 version
  * Drop debian/patches/crash_fix_4082dc3c.patch - merged upstream
  * Update debian/rules to not include simple-patchsys.mk now
  * Pick up new compiz ABI (LP: #613340)

 -- Chris Coulson <chris.coulson@canonical.com>  Sun, 15 Aug 2010 19:45:25 +0100

compiz-fusion-plugins-extra (0.8.4-0ubuntu2) karmic; urgency=low

  * debian/patches/crash_fix_4082dc3c.patch:
    - merge upstream commit ce15e7c1d48037d3921c8fc1c4bc16164082dc3c
      to fix crash in animationaddon (LP: #456480)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Oct 2009 20:05:32 +0200

compiz-fusion-plugins-extra (0.8.4-0ubuntu1) karmic; urgency=low

  * new upstream release:
    - shelf plugin should scale window with mouseover, not selected window
      (LP: #258699)
    - shelf plugin zoom bindings are reversed (LP: #230302)
    - compiz.real crashed with SIGSEGV in freePolygonSet() (LP: #345400)
    - compiz.real crashed with SIGSEGV in groupDestroyCairoLayer()
      (LP: #347506)

 -- Travis Watkins <amaranth@ubuntu.com>  Wed, 14 Oct 2009 16:53:04 -0500

compiz-fusion-plugins-extra (0.8.3+git20090914-0ubuntu1) karmic; urgency=low

  * Pre-Release of the upcomming 0.8.4 bugfix release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Sep 2009 09:12:13 +0200

compiz-fusion-plugins-extra (0.8.3+git20090904-0ubuntu1~ppa1) karmic; urgency=low

  * new git snapshot:
    - segfault on 64bit arches
    - warning fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 10:15:24 +0200

compiz-fusion-plugins-extra (0.8.3+git20090831-0ubuntu1~ppa2) karmic; urgency=low

  * new git snapshot from the compiz stable branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 Aug 2009 14:27:00 +0200

compiz-fusion-plugins-extra (0.8.3+git20090825-0ubuntu1~ppa1) karmic; urgency=low

  * new git snapshot from the stable branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Aug 2009 14:04:16 +0200

compiz-fusion-plugins-extra (0.8.2-0ubuntu5~ppa2) karmic; urgency=low

  * fix build-depends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Aug 2009 12:57:28 +0200

compiz-fusion-plugins-extra (0.8.2-0ubuntu5~ppa1) karmic; urgency=low

  * rebuild against latest compiz

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 25 Aug 2009 10:17:16 +0200

compiz-fusion-plugins-extra (0.8.2-0ubuntu4) karmic; urgency=low

  * depend on compiz-core-abiversion-${coreabiversion}
    (thanks to Loic)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Apr 2009 16:29:07 +0200

compiz-fusion-plugins-extra (0.8.2-0ubuntu1) jaunty; urgency=low

  * new upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 20:48:12 +0100

compiz-fusion-plugins-extra (0.7.9+git20090213-0ubuntu1) jaunty; urgency=low

  * new git snapshot with lots of bugfixes (new 0.8 release
    is very close)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Feb 2009 16:07:23 +0100

compiz-fusion-plugins-extra (0.7.8-0ubuntu3) jaunty; urgency=low

  * rebuild against compiz 0.8 branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Feb 2009 11:29:07 +0100

compiz-fusion-plugins-extra (0.7.8-0ubuntu2) intrepid; urgency=low

  * debian/patches/01_fix_typo_in_configure:
    - fix typo in configure.ac that prevents scalefilter from
      building (LP: #275744)
  * debian/patches/99_autoreconf:
    - run autoreconf 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 14 Oct 2008 17:44:43 +0200

compiz-fusion-plugins-extra (0.7.8-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Sep 2008 18:54:40 +0200

compiz-fusion-plugins-extra (0.7.7+git20080807-0ubuntu1) intrepid; urgency=low

  * new git snapshot
  * build-depend on compiz-fusion-bcop

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Aug 2008 17:51:57 +0200

compiz-fusion-plugins-extra (0.7.7+git20080630-0ubuntu1) intrepid; urgency=low

  * New git snpashot

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jun 2008 10:13:46 +0200

compiz-fusion-plugins-extra (0.7.7+git20080618-0ubuntu1) intrepid; urgency=low



=== debian/control ===
Source: compiz-plugins-extra
Section: x11
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends:	debhelper (>= 7.0.50),
                cmake,
                pkg-config,
                compiz-dev (>= 1:0.9.4-0ubuntu1),
                librsvg2-dev,
                libcairo2-dev,
                libsm-dev,
                intltool,
                libdbus-1-dev,
                libjpeg62-dev,
                libdecoration0-dev (>= 1:0.9.0),
                xsltproc,
                libxslt1-dev,
                libglu1-mesa-dev,
                compiz-plugins-main (>= 0.9.4),
                gconf2,
                libboost1.42-dev,
                libboost-serialization1.42-dev,
                libnotify-dev
Standards-Version: 3.9.1
Homepage: http://www.compiz.org/
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/compiz-fusion-plugins-extra/ubuntu
Vcs-Browser: http://bazaar.launchpad.net/~compiz/compizfusion-plugins-extra/ubuntu/files

Package: compiz-plugins-extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core,
         compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-extra (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-extra (<< 0.9.4-0ubuntu1)
Suggests: compizconfig-settings-manager
Description: Collection of extra plugins from OpenCompositing for Compiz
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity.
 .
 This package contains extra plugins and themes contributed by the community
 giving a rich desktop experience.

Package: compiz-fusion-plugins-extra
Depends: compiz-plugins-extra, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package.
 .
 This package ensures a clean upgrade path, and can be safely removed
 after the upgrade.

=== debian/rules ===
#!/usr/bin/make -f

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/core.h )

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

%:
	dh $@

## compiz-plugins-extra 0.9.5.94

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,10 @@
 include (CompizCommon)
 include (CompizPackage)
 
-set (COMPIZ_VERSION_MAJOR 0)
-set (COMPIZ_VERSION_MINOR 9)
-set (COMPIZ_VERSION_MICRO 4)
-set (COMPIZ_VERSION_MACRO 0)
-set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})
+file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
+string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)
+
+set (VERSION ${COMPIZ_RELEASE_VERSION})
 
 set (COMPIZ_PLUGIN_INSTALL_TYPE "package")
 
@@ -26,4 +25,6 @@
 
 compiz_package_generation ("Compiz Plugins Extra")
 compiz_add_git_dist ()
-compiz_add_uninstall ()
+compiz_add_distcheck ()
+compiz_add_release ()
+compiz_add_release_signoff ()

=== debian/changelog ===
compiz-plugins-extra (0.9.5.94-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - build-dep on new compiz-dev for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Sep 2011 08:12:31 +0200

compiz-plugins-extra (0.9.5.0-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - boost transition to 1.46
    - deps on latest compiz-dev and compiz-plugins-main-dev for boost
      transition

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 12:01:06 +0200

compiz-plugins-extra (0.9.5.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - depends on latest compiz-dev and compiz-p-m
  * debian/patches/*
    - remove as grid is now in c-p-m

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Jul 2011 08:03:09 +0200

compiz-plugins-extra (0.9.4-0ubuntu3) natty; urgency=low

  * debian/control:
    - rebuild for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 22 Mar 2011 21:47:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:	debhelper (>= 7.0.50),
                 cmake,
                 pkg-config,
-                compiz-dev (>= 1:0.9.4-0ubuntu1),
+                compiz-dev (>= 1:0.9.5.94+bzr2803-0ubuntu1~),
                 librsvg2-dev,
                 libcairo2-dev,
                 libsm-dev,
@@ -17,10 +17,10 @@
                 xsltproc,
                 libxslt1-dev,
                 libglu1-mesa-dev,
-                compiz-plugins-main (>= 0.9.4),
+                compiz-plugins-main-dev (>= 0.9.5.0-0ubuntu2),
                 gconf2,
-                libboost1.42-dev,
-                libboost-serialization1.42-dev,
+                libboost1.46-dev,
+                libboost-serialization1.46-dev,
                 libnotify-dev
 Standards-Version: 3.9.1
 Homepage: http://www.compiz.org/

## compiz-plugins-extra 0.9.7.0~bzr9

=== wallpaper/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (wallpaper PLUGINDEPS composite opengl)

=== debian/changelog ===
compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu6) precise; urgency=low

  * Disabling plugins that are not compatible with OpenGL ES2.0 when building
    for ARM (LP: #983555)

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Mon, 16 Apr 2012 21:52:28 -0300

compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu5) precise; urgency=low

  * rebuild for compiz-plugins-main ABI break (LP: #980185)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 16 Apr 2012 09:11:08 +0200

compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu4) precise-proposed; urgency=low

  * debian/control:
    - build-dep on laltest compiz-dev and c-p-m due to ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Mar 2012 13:46:14 +0100

compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu3) precise; urgency=low

  * debian/control:
    - build-dep on laltest compiz-dev and c-p-m due to ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 13:04:42 +0100

compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu2) precise; urgency=low

  * debian/control:
    - build-dep on latest compiz-dev due to ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:14:55 +0100

compiz-plugins-extra (0.9.7.0~bzr9-0ubuntu1) precise; urgency=low

  * New upstream snapshot
    - Benchmark plugin severely affects its own results, making it
      inaccurate. (LP: #898548)
    - Plugins fail to build due to missing (renamed) TIMEVALDIFF (LP: #915236)
    - Some plugins no longer build due to undefined DEG2RAD (LP: #918554)
    - Merge (overwrite?) lp:compiz-*-plugin back into
      lp:compiz-plugins-{main,extra} (LP: #923572)
  * debian/control:
    - build-dep on latest compiz-dev and compiz-plugins-main-dev for
      ABI break
  * debian/rules:
    - pick the new abiversion file

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Feb 2012 15:31:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:	debhelper (>= 7.0.50),
                 cmake,
                 pkg-config,
-                compiz-dev (>= 1:0.9.5.94+bzr2803-0ubuntu1~),
+                compiz-dev (>= 1:0.9.7.2),
                 librsvg2-dev,
                 libcairo2-dev,
                 libsm-dev,
@@ -16,8 +16,8 @@
                 libdecoration0-dev (>= 1:0.9.0),
                 xsltproc,
                 libxslt1-dev,
-                libglu1-mesa-dev,
-                compiz-plugins-main-dev (>= 0.9.5.0-0ubuntu2),
+                libglu1-mesa-dev [!armel !armhf],
+                compiz-plugins-main-dev (>= 1:0.9.7.0~bzr19-0ubuntu7~),
                 gconf2,
                 libboost1.46-dev,
                 libboost-serialization1.46-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
gles2_architectures := armel armhf

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/abiversion.h )

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DBUILD_GLES=ON
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE
endif

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

%:
	dh $@

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)\d/ compiz-plugins-extra-([\d\.]+)\.tar\.gz
